PolicyConstants (Apache CXF API 2.2.12-patch-03 API)
Date: 2012-07-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Class PolicyConstants

    java.lang.Object
      org.apache.cxf.ws.policy.PolicyConstants

    public final class PolicyConstants

extends Object

Encapsulation of version-specific WS-Policy constants.

Field Summary
`static String` | `APPLIESTO_ELEM_NAME`
`static String` | `CLIENT_IN_ASSERTIONS`
`static String` | `CLIENT_INFAULT_ASSERTIONS`
`static String` | `CLIENT_OUT_ASSERTIONS`
`static String` | `CLIENT_POLICY_IN_FAULT_INTERCEPTOR_ID`
`static String` | `NAMESPACE_W3_200607`
`static String` | `NAMESPACE_WS_POLICY`
`static String` | `NAMESPACE_XMLSOAP_200409`
`static String` | `POLICY_ELEM_NAME`
`static String` | `POLICY_IN_INTERCEPTOR_ID`
`static String` | `POLICY_OUT_INTERCEPTOR_ID`
`static String` | `POLICY_OVERRIDE`
`static String` | `POLICYATTACHMENT_ELEM_NAME`
`static String` | `POLICYREFERENCE_ELEM_NAME`
`static String` | `SERVER_IN_ASSERTIONS`
`static String` | `SERVER_OUT_ASSERTIONS`
`static String` | `SERVER_OUTFAULT_ASSERTIONS`
`static String` | `SERVER_POLICY_OUT_FAULT_INTERCEPTOR_ID`
`static String` | `WSU_ID_ATTR_NAME`
`static String` | `WSU_NAMESPACE_URI`

Method Summary
`static List<Element>` | `findAllPolicyElementsOfLocalName(Document doc, String localName)`
`static List<Element>` | `findAllPolicyElementsOfLocalName(Element el, String localName)`
`static void` | `findAllPolicyElementsOfLocalName(Element el, String localName, List<Element> val)`
`static Attr` | `findOptionalAttribute(Element e)`
`static Element` | `findPolicyElement(Element parent)`
`static boolean` | `isAll(QName qn)`
`static boolean` | `isAppliesToElem(QName qn)`
`static boolean` | `isExactlyOne(QName qn)`
`static boolean` | `isOptional(Element e)`
`static boolean` | `isOptionalAttribute(QName qn)`
`static boolean` | `isPolicyElem(QName qn)`
`static boolean` | `isPolicyRefElem(QName qn)`
`static boolean` | `isPolicyURIsAttr(QName qn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_WS_POLICY

    public static final String NAMESPACE_WS_POLICY

See Also:
  Constant Field Values

### NAMESPACE_W3_200607

    public static final String NAMESPACE_W3_200607

See Also:
  Constant Field Values

### NAMESPACE_XMLSOAP_200409

    public static final String NAMESPACE_XMLSOAP_200409

See Also:
  Constant Field Values

### POLICY_ELEM_NAME

    public static final String POLICY_ELEM_NAME

See Also:
  Constant Field Values

### POLICYREFERENCE_ELEM_NAME

    public static final String POLICYREFERENCE_ELEM_NAME

See Also:
  Constant Field Values

### POLICYATTACHMENT_ELEM_NAME

    public static final String POLICYATTACHMENT_ELEM_NAME

See Also:
  Constant Field Values

### APPLIESTO_ELEM_NAME

    public static final String APPLIESTO_ELEM_NAME

See Also:
  Constant Field Values

### WSU_NAMESPACE_URI

    public static final String WSU_NAMESPACE_URI

See Also:
  Constant Field Values

### WSU_ID_ATTR_NAME

    public static final String WSU_ID_ATTR_NAME

See Also:
  Constant Field Values

### POLICY_OVERRIDE

    public static final String POLICY_OVERRIDE

See Also:
  Constant Field Values

### POLICY_IN_INTERCEPTOR_ID

    public static final String POLICY_IN_INTERCEPTOR_ID

See Also:
  Constant Field Values

### POLICY_OUT_INTERCEPTOR_ID

    public static final String POLICY_OUT_INTERCEPTOR_ID

See Also:
  Constant Field Values

### CLIENT_POLICY_IN_FAULT_INTERCEPTOR_ID

    public static final String CLIENT_POLICY_IN_FAULT_INTERCEPTOR_ID

See Also:
  Constant Field Values

### SERVER_POLICY_OUT_FAULT_INTERCEPTOR_ID

    public static final String SERVER_POLICY_OUT_FAULT_INTERCEPTOR_ID

See Also:
  Constant Field Values

### CLIENT_OUT_ASSERTIONS

    public static final String CLIENT_OUT_ASSERTIONS

See Also:
  Constant Field Values

### CLIENT_IN_ASSERTIONS

    public static final String CLIENT_IN_ASSERTIONS

See Also:
  Constant Field Values

### CLIENT_INFAULT_ASSERTIONS

    public static final String CLIENT_INFAULT_ASSERTIONS

See Also:
  Constant Field Values

### SERVER_IN_ASSERTIONS

    public static final String SERVER_IN_ASSERTIONS

See Also:
  Constant Field Values

### SERVER_OUT_ASSERTIONS

    public static final String SERVER_OUT_ASSERTIONS

See Also:
  Constant Field Values

### SERVER_OUTFAULT_ASSERTIONS

    public static final String SERVER_OUTFAULT_ASSERTIONS

See Also:
  Constant Field Values

Method Detail

### findAllPolicyElementsOfLocalName

    public static List<Element> findAllPolicyElementsOfLocalName(Document doc,
                                                                 String localName)

### findAllPolicyElementsOfLocalName

    public static List<Element> findAllPolicyElementsOfLocalName(Element el,
                                                                 String localName)

### findAllPolicyElementsOfLocalName

    public static void findAllPolicyElementsOfLocalName(Element el,
                                                        String localName,
                                                        List<Element> val)

### isOptional

    public static boolean isOptional(Element e)

### findOptionalAttribute

    public static Attr findOptionalAttribute(Element e)

### findPolicyElement

    public static Element findPolicyElement(Element parent)

### isOptionalAttribute

    public static boolean isOptionalAttribute(QName qn)

### isPolicyElem

    public static boolean isPolicyElem(QName qn)

### isPolicyRefElem

    public static boolean isPolicyRefElem(QName qn)

### isAppliesToElem

    public static boolean isAppliesToElem(QName qn)

### isPolicyURIsAttr

    public static boolean isPolicyURIsAttr(QName qn)

### isExactlyOne

    public static boolean isExactlyOne(QName qn)

### isAll

    public static boolean isAll(QName qn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF